RegionConfig.Index (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.configuration

## Class RegionConfig.Index

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionConfig.Index

- Enclosing class:
    RegionConfig

      public static class RegionConfig.Index
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice minOccurs="0">
               <element name="functional">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="expression" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="from-clause" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="primary-key">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="field" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="expression" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="from-clause" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="key-index" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="type" default="range">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="range"/>
                   <enumeration value="hash"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionConfig.Index.Functional` Java class for anonymous complex type.
    `static class` | `RegionConfig.Index.PrimaryKey` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `expression`
    `protected java.lang.String` | `fromClause`
    `protected RegionConfig.Index.Functional` | `functional`
    `protected java.lang.String` | `imports`
    `protected java.lang.Boolean` | `keyIndex`
    `protected java.lang.String` | `name`
    `protected RegionConfig.Index.PrimaryKey` | `primaryKey`
    `protected java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Index()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpression()` Gets the value of the expression property.
    `java.lang.String` | `getFromClause()` Gets the value of the fromClause property.
    `RegionConfig.Index.Functional` | `getFunctional()` Gets the value of the functional property.
    `java.lang.String` | `getImports()` Gets the value of the imports property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `RegionConfig.Index.PrimaryKey` | `getPrimaryKey()` Gets the value of the primaryKey property.
    `java.lang.String` | `getType()` Gets the value of the type property.
    `java.lang.Boolean` | `isKeyIndex()` Gets the value of the keyIndex property.
    `void` | `setExpression(java.lang.String value)` Sets the value of the expression property.
    `void` | `setFromClause(java.lang.String value)` Sets the value of the fromClause property.
    `void` | `setFunctional(RegionConfig.Index.Functional value)` Sets the value of the functional property.
    `void` | `setImports(java.lang.String value)` Sets the value of the imports property.
    `void` | `setKeyIndex(java.lang.Boolean value)` Sets the value of the keyIndex property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setPrimaryKey(RegionConfig.Index.PrimaryKey value)` Sets the value of the primaryKey property.
    `void` | `setType(java.lang.String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### functional

          protected RegionConfig.Index.Functional functional

    - #### primaryKey

          protected RegionConfig.Index.PrimaryKey primaryKey

    - #### name

          protected java.lang.String name

    - #### expression

          protected java.lang.String expression

    - #### fromClause

          protected java.lang.String fromClause

    - #### imports

          protected java.lang.String imports

    - #### keyIndex

          protected java.lang.Boolean keyIndex

    - #### type

          protected java.lang.String type

  - ### Constructor Detail

    - #### Index

          public Index()

  - ### Method Detail

    - #### getFunctional

          public RegionConfig.Index.Functional getFunctional()

      Gets the value of the functional property.
      Returns:
        possible object is `RegionConfig.Index.Functional`

    - #### setFunctional

          public void setFunctional(RegionConfig.Index.Functional value)

      Sets the value of the functional property.
      Parameters:
        `value` - allowed object is `RegionConfig.Index.Functional`

    - #### getPrimaryKey

          public RegionConfig.Index.PrimaryKey getPrimaryKey()

      Gets the value of the primaryKey property.
      Returns:
        possible object is `RegionConfig.Index.PrimaryKey`

    - #### setPrimaryKey

          public void setPrimaryKey(RegionConfig.Index.PrimaryKey value)

      Sets the value of the primaryKey property.
      Parameters:
        `value` - allowed object is `RegionConfig.Index.PrimaryKey`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExpression

          public java.lang.String getExpression()

      Gets the value of the expression property.
      Returns:
        possible object is `String`

    - #### setExpression

          public void setExpression(java.lang.String value)

      Sets the value of the expression property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFromClause

          public java.lang.String getFromClause()

      Gets the value of the fromClause property.
      Returns:
        possible object is `String`

    - #### setFromClause

          public void setFromClause(java.lang.String value)

      Sets the value of the fromClause property.
      Parameters:
        `value` - allowed object is `String`

    - #### getImports

          public java.lang.String getImports()

      Gets the value of the imports property.
      Returns:
        possible object is `String`

    - #### setImports

          public void setImports(java.lang.String value)

      Sets the value of the imports property.
      Parameters:
        `value` - allowed object is `String`

    - #### isKeyIndex

          public java.lang.Boolean isKeyIndex()

      Gets the value of the keyIndex property.
      Returns:
        possible object is `Boolean`

    - #### setKeyIndex

          public void setKeyIndex(java.lang.Boolean value)

      Sets the value of the keyIndex property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getType

          public java.lang.String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`